﻿@model PortalChartParamsView
@{
    ViewBag.Title = ViewBag.Tite;
    ViewBag.Title = ViewBag.Tite;
    Layout = "~/Views/Shared/_Layout.cshtml";
}
@*@Styles.Render("~/Content/ChartsCSS")
    @Scripts.Render("~/bundles/ChartCreator")*@

<script type="text/javascript">
    var formMode = '@ViewBag.FormMode';
    var urlRedirect = '@ViewBag.URLRedirect';
</script>

<h1 class="page-header">@ViewBag.Tite</h1>
<div class="panel panel-default">
    <div class="panel-heading clearfix">
        <h3 class="panel-title">@Shared.CD</h3>
    </div>
    <div class="panel-body">
        <div class="form-group">
            <label class="col-md-2 control-label">@Companies.SN</label>
            <div class="col-md-4">
                @Html.LabelForModel(Model.Company.Server, new { @class = "form-control" })
            </div>
        </div>
        <div class="form-group">
            <label class="col-md-2 control-label">@Companies.DBName</label>
            <div class="col-md-4">
                @Html.LabelForModel(Model.Company.CompanyDB, new { @class = "form-control" })
            </div>
        </div>
    </div>
</div>

<div class="panel panel-default">
    <div class="panel-heading clearfix">
        <h3 class="panel-title">@Charts.VP</h3>
    </div>
    <div class="panel-body">
        <div class="form-horizontal row-border">
            <div class="table-responsive tableItemsDocuments">
                <div id="TableItemsForm">
                    @Html.Partial("_UserGroupTable", Tuple.Create(Model.ListUserGroup, Model.ListPortalChartUserGroup))
                </div>
            </div>
        </div>
    </div>
</div>

<div class="panel panel-default">
    <div class="panel-heading clearfix">
        <h3 class="panel-title">@Charts.CC</h3>
    </div>
    <div class="panel-body">
        <div class="form-group">
            <label class="col-md-2 control-label">@Charts.CN</label>
            <div class="col-md-4">
                @Html.TextBoxFor(c => c.PortalChart.ChartName, new { @class = "form-control", @Id = "ChartName" })
            </div>
            <div class="clear_simple"></div>
            <label class="col-md-2 control-label">@Charts.SAPQuery</label>
            <div class="col-md-4">
                @Html.TextBoxFor(c => c.PortalChart.NameSAPQuery, new { @class = "form-control form_separator", @Id = "QueryName" })
                @Html.HiddenFor(c => c.PortalChart.IdSAPQuery, new { @class = "form-control", @Id = "QueryInternalKey" })
            </div>
            <div class="col-md-4">
                <button type="button" class="btn btn-success btn-ls" data-toggle="modal" data-target="#SAPQueryModal"><span class="glyphicon glyphicon-search"></span> @PurchaseOrders.Search</button>
                <button type="button" class="btn btn-success btn-ls" id="ExecQuery"><span class="glyphicon glyphicon-cog"></span> @Charts.EQ</button>
            </div>
        </div>
        <div id="ParamsDiv" class="form-group">
            @if (Model.PortalChart.PortalChartParamList != null)
            {
                @Html.Partial("_ParamList", Tuple.Create(Model.PortalChart.PortalChartParamList, Model.PortalChartParamsTypeList, Model.PortalChartParamsValueTypeList))
            }
        </div>
        <div class="panel-body">
            <div id="ItemsQuery" class="table-responsive">
                @*<div class="alert alert-danger" id="alertError" role="alert">
                    Error
                </div>*@
            </div>
        </div>
    </div>

</div>

<div class="panel panel-default">
    <div class="panel-heading clearfix">
        <h3 class="panel-title">@Charts.CT</h3>
    </div>
    <div class="panel-body">
        <div class="form-group">
            <label class="col-md-2 control-label">@Charts.CT</label>
            <div class="col-md-4">
                @Html.DropDownListFor(model => model.PortalChart.IdChartType, new SelectList(
                    Model.PortalChart.ListPortalChartType,
                    "IdChartType",
                    "ChartName", Model.PortalChart.IdChartType), new { @Id = "PortalChartType", @class = "form-control" })

                <div class="clear" style="height: 10px !important"></div>
                <div class="col-md-8 no-padding">
                    @Html.DropDownListFor(model => model.PortalChart.PortalPage, new SelectList(
                        Model.ListAreas,
                        "IdAreaKeys",
                        "KeyResource", Model.PortalChart.PortalPage), new { @Id = "PortalChartPageToShow", @class = "form-control" })
                </div>
                <div class="col-md-4">
                    <label class="">
                        <input id="ShowMenuCk" name="ShowMenuCk" type="checkbox" @(Model.PortalChart.MenuChart ? "checked=\"checked\"" : "" )> @Charts.SAM
                    </label>

                </div>
            </div>
            <div class="col-md-2  pull-right">
                <button type="button" class="btn btn-success btn-ls pull-right" id="DrawChart" style="margin-top:10px !important"><span class="glyphicon glyphicon-cog"></span> @Charts.Draw</button>
            </div>
            <div id="PortalChartColumns" class="col-md-4">
            </div>
        </div>
    </div>
    <div class="panel-body">
        <div id="ChartDrawPanel" style="width:100%; height:400px; border:solid 4px #0080ff;"></div>
    </div>
</div>
<div class="alert alert-success" id="UpdateCorrectly" role="alert">
    <strong>@Charts.UpdatedSuccess</strong>
</div>
<div class="but_blok_footer">
    <div class="col-md-12">
        <button type="button" id="btnOkChart" class="btn btn-lg btn-success pull-right margin-left">Ok</button>
        @Html.ActionLink(@Companies.Cancel, "Index", "Chart", null, new { @class = "btn btn-lg btn-default pull-right margin-left" })
    </div>
</div>

@*Modal Vendors*@
<div class="modal fade" id="SAPQueryModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title" id="myModalLabelSAPQueryModal">@PurchaseOrders.Search @Charts.SAPQuery</h4>
            </div>
            <div class="">
                <div class="bs-example">
                    <div class="col-md-2 pull-right">
                        <button type="button" id="SearchSAPQuery" class="btn btn-success btn-ls pull-right"><span class="glyphicon glyphicon-search"></span> @PurchaseOrders.Search</button>
                    </div>
                </div>
                <div class="panel-body">
                    <div class="table-responsive">
                        <div id="LoadSAPQuery" style="text-align :center">
                            <img src="~/Content/img/Load.gif" />
                        </div>
                        <div id="ModalBodySAPQuery">
                            @Html.Partial("_QuerySAPList", new List<QuerySAPView>())
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">@PurchaseOrders.Cancel</button>
            </div>
        </div>
    </div>
</div>

@Html.HiddenFor(model => model.Company.IdCompany, new { @id = "IdCompany" })
@Html.HiddenFor(model => model.PortalChart.IdChart, new { @id = "IdChart" })
<input type="hidden" name="PageKey" id="PageKey" value="@ViewBag.PageKey" />
<script type="text/javascript">
    var formMode = '@ViewBag.FormMode';
    var mParamList = [];
    var listParamName = $("input[id^=ParamName]");
    for (i = 0; i < listParamName.length; i++) {
        var mParamId = listParamName[i].id.substring(9);
        mParamList.push({
            ParamName: $("#ParamName" + mParamId).val(),
            ParamValue: $("#ParamValue" + mParamId).val(),
            ParamFixedValue: $("#ParamFixedValue" + mParamId).val(),
        });
    }
    $.ajax({
        url: '/Chart/_GetPortalChartTypeById',
        contextType: 'application/html;charset=utf-8',
        data: {
            pPageKey: $("#PageKey").val(),
            pPortalChartTypeId: $("#PortalChartType").val(),
            pQueryInternalKey: $("#QueryInternalKey").val(),
            pListParams: mParamList
        },
        type: 'POST',
        dataType: 'html'
    }).done(function (data) {
        $("#PortalChartColumns").html(data);
    });
</script>